---
#https://community.solid-run.com/t/cubox-m-quad-not-powering-usb-devices/181/6
#
#- name: debug variables
#  ansible.builtin.debug:
#    var: ansible_facts
#  when: inventory_hostname == "cubox-m"


# create service file
- name: add fix_usb service
  ansible.builtin.copy:
    src: "fix_usb/fix_usb.service"
    dest: /etc/systemd/system/fix_usb.service
    mode: '0644'
    owner: root
    group: root

# start service
- name: Enable service httpd and ensure it is not masked
  ansible.builtin.systemd:
    name: fix_usb
    enabled: yes
    masked: no
